#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "LullabyKillerData.h"
#include "LullabyFeedbackComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DBDGAMEPLAY_API ULullabyFeedbackComponent : public UActorComponent
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FLullabyKillerData> _killersData;

public:
	ULullabyFeedbackComponent();
};

FORCEINLINE uint32 GetTypeHash(const ULullabyFeedbackComponent) { return 0; }
